import Vue from 'vue'
import Vuex from 'vuex'
import system from './system'

Vue.use(Vuex)

const store = new Vuex.Store({
  ...system,
  modules: {
    persons: require('./modules/persons').default,
    dynamic: require('./modules/dynamic').default,
    building: require('./modules/building').default,
    img: require('./modules/img').default,
  }
})

export default store
